- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtCurveFitter Class Reference

Inheritance diagram for QwtCurveFitter:

[legend]
List of all members.

## Detailed Description

Abstract base class for a curve fitter.

Definition at line 42 of file qwt_curve_fitter.h.

## Public Member Functions
virtual | ~QwtCurveFitter ()
virtual QPolygonF | fitCurve (const QPolygonF &) const =0
## Protected Member Functions
| QwtCurveFitter ()

## Constructor & Destructor Documentation

QwtCurveFitter::~QwtCurveFitter | ( |  | ) | `[virtual]`

| Destructor. Definition at line 20 of file qwt_curve_fitter.cpp.

QwtCurveFitter::QwtCurveFitter | ( |  | ) | `[protected]`

| Constructor. Definition at line 15 of file qwt_curve_fitter.cpp.